Bug 1023114 - Logitech HD Webcam C615 freezes [NEEDINFO]
Logitech HD Webcam C615 freezes
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 12:05 EDT by Richard Esplin
Modified: 2014-12-10 09:57 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-10 09:57:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Richard Esplin 2013-10-24 12:05:13 EDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:24.0) Gecko/20100101 Firefox/24.0
Build Identifier: 

The Logitech HD Webcam C615 has great reviews with lots of people claiming it works well with Linux. It is automatically available after plugging in, and the video looks great initially. When doing a long video session, it erratically freezes. Unplugging the camera and plugging it back in causes it to work again, but shortly thereafter it will freeze again.

I see the problem with Google Hangouts, Skype, and Vidyo, I can not replicate the problem when testing with guvcview.

Reproducible: Always

Steps to Reproduce:
1. Plug in the web cam
2. Start a Google Hangout
3. If Google starts using the internal webcam, select the USB webcam
Actual Results:  
The camera works fine for a while, then freezes.

Expected Results:  
The camera would work fine for the entire Hangout.

After plugging in the camera, this is what I see in /var/log/messages:

Oct 24 09:57:42 richs kernel: [161572.952665] usb 3-2: new high-speed USB device number 10 using xhci_hcd
Oct 24 09:57:42 richs kernel: [161573.158711] usb 3-2: New USB device found, idVendor=046d, idProduct=082c
Oct 24 09:57:42 richs kernel: [161573.158719] usb 3-2: New USB device strings: Mfr=0, Product=2, SerialNumber=1
Oct 24 09:57:42 richs kernel: [161573.158723] usb 3-2: Product: HD Webcam C615
Oct 24 09:57:42 richs kernel: [161573.158727] usb 3-2: SerialNumber: 1F40AC50
Oct 24 09:57:43 richs kernel: [161573.460612] uvcvideo: Found UVC 1.00 device HD Webcam C615 (046d:082c)
Oct 24 09:57:43 richs kernel: [161573.474510] input: HD Webcam C615 as /devices/pci0000:00/0000:00:1c.6/0000:0f:00.0/usb3/3-2/3-2:1.2/input/input24
Oct 24 09:57:43 richs mtp-probe: checking bus 3, device 10: "/sys/devices/pci0000:00/0000:00:1c.6/0000:0f:00.0/usb3/3-2"
Oct 24 09:57:43 richs mtp-probe: bus: 3, device: 10 was not an MTP device
Oct 24 09:57:43 richs colord: Device added: sysfs-046d-HD_Webcam_C615
Oct 24 09:57:43 richs pulseaudio[1856]: [pulseaudio] source.c: Default and alternate sample rates are the same.

The device does not appear with lsusb
% lsusb                         
Bus 002 Device 004: ID 17ef:1003 Lenovo Integrated Smart Card Reader
Bus 002 Device 003: ID 8086:0187 Intel Corp. 
Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 010: ID 046d:082c Logitech, Inc. 
Bus 003 Device 002: ID 046d:0a0b Logitech, Inc. ClearChat Pro USB
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 005: ID 17ef:480f Lenovo Integrated Webcam [R5U877]
Bus 001 Device 004: ID 147e:2016 Upek Biometric Touchchip/Touchstrip Fingerprint Sensor
Bus 001 Device 009: ID 046d:c517 Logitech, Inc. LX710 Cordless Desktop Laser
Bus 001 Device 008: ID 1058:1102 Western Digital Technologies, Inc. 
Bus 001 Device 007: ID 0bc2:2101 Seagate RSS LLC 
Bus 001 Device 006: ID 2109:0811  
Bus 001 Device 003: ID 2109:0811  
Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

I am using a Lenovo W510.

I am plugging in directly to the laptop, and not through a hub.
Comment 1 Justin M. Forbes 2014-01-03 17:04:40 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 2 Justin M. Forbes 2014-03-10 10:40:32 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.
Comment 3 Richard Esplin 2014-07-07 21:11:53 EDT
In case this helps someone in the future:

I saw this problem when the camera was plugged in to a USB2 jack on the laptop. I worked around this problem on Fedora 19 by plugging the camera in to a USB3 hub connected to a USB3 jack. The camera has been stable as long as it is connected to a USB3 port.

I have not tried to reproduce the problem with Fedora 20.
Comment 4 Richard Esplin 2014-08-05 17:21:15 EDT
I just tried on Fedora 20, and saw the same behavior. Using the USB 2 port, the video freezes. Using the USB 3 port, the device is stable.

My kernel is Linux version 3.14.9-200.fc20.x86_64 (mockbuild@bkernel02.phx2.fedoraproject.org) (gcc version 4.8.3 20140624 (Red Hat 4.8.3-1) (GCC) ) #1 SMP Thu Jun 26 21:40:51 UTC 2014
Comment 5 Justin M. Forbes 2014-11-13 10:55:48 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.
Comment 6 Justin M. Forbes 2014-12-10 09:57:17 EST
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.